Test::Branch::RunInfo Class Reference

Information about one test-run. More...

## Public Member Functions

| RunInfo (const std::string &vara, const std::string &varb, const std::string &valname, const Gecode::Search::Options &o)
void | print (std::ostream &o) const

## Public Attributes

std::string | var
std::string | val
unsigned int | a_d
unsigned int | c_d

## Detailed Description

Information about one test-run.

Definition at line 386 of file branch.cpp.

## Constructor & Destructor Documentation

## RunInfo()

Test::Branch::RunInfo::RunInfo | ( | const std::string & | vara,
|  | const std::string & | varb,
|  | const std::string & | valname,
|  | const Gecode::Search::Options & | o )

inline

Definition at line 390 of file branch.cpp.

## Member Function Documentation

## print()

void Test::Branch::RunInfo::print | ( | std::ostream & | o | ) | const

inline

Definition at line 394 of file branch.cpp.

## Member Data Documentation

## var

std::string Test::Branch::RunInfo::var

Definition at line 388 of file branch.cpp.

## val

std::string Test::Branch::RunInfo::val

Definition at line 388 of file branch.cpp.

## a_d

unsigned int Test::Branch::RunInfo::a_d

Definition at line 389 of file branch.cpp.

## c_d

unsigned int Test::Branch::RunInfo::c_d

Definition at line 389 of file branch.cpp.

The documentation for this class was generated from the following file:

- test/branch.cpp